<html>

<head>
    <link rel="stylesheet" type="text/css" href="stylesheets/main.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
    <script src="javascripts/configuration.js"></script>
    <style>
        table {
            width: 100%;
        }
        
        td {
            padding: 20px;
            width: 50%;
            vertical-align: top;
        }
        
        p {
            padding: 5px 10px 5px 10px;
            background-color: white;
            margin-bottom: 0;
        }
        
        .collapsible-block {
            padding: 10px;
            background: #fafafa;
            margin-bottom: 20px;
            border: 1PX SOLID #efefef;
        }
        
        .collapsible-block h3 {
            cursor: pointer;
        }
        
        .collapsible-block h3:hover {
            color: #00BCD4;
        }
        
        .collapsible-block h3:before {
            content: '\025B8 ';
            margin-right: 5px;
        }
        
        .collapsible-block.open h3:before {
            content: '\025B4 ';
        }
    </style>
</head>

<body>
    <div class="j-card">
        <h2>Configuration</h2>

        <br>
        <div class="collapsible-block">
            <h3>Video</h3>
            <p>
                <label>Video Url</label>
                <input class="j-text" type="text" id="config_video_url" />
                <br />
                <label>Image fallback Url</label>
                <input class="j-text" type="text" id="config_video_img_fallback_url" />
            </p>
        </div>

        <div class="collapsible-block">
            <h3>Titles and Subtitle</h3>
            <p>


                <label>NL - title</label>
                <input class="j-text" type="text" id="config_title_nl" />
                <br />
                <label>NL - subtitle</label>
                <input class="j-text" type="text" id="config_subtitle_nl" />
                <label>FR - title</label>
                <input class="j-text" type="text" id="config_title_fr" />
                <br />
                <label>
                    <label>FR - subtitle</label>
                </label>
                <input class="j-text" type="text" id="config_subtitle_fr" />
                <label>EN - title</label>
                <input class="j-text" type="text" id="config_title_en" />
                <br />
                <label>
                    <label>EN - subtitle</label>
                </label>
                <input class="j-text" type="text" id="config_subtitle_en" />

            </p>
        </div>

        <div class="collapsible-block">
            <h3>Bottom Buttons - CTA </h3>

            <p>
               <i>For a complete list of all icon classes see: <a href="https://wap.proximus.com/docs/DOC-1400" target="_blank" title="Icon classes">Proxicon icons</a></i> <br>
                If you leave the Cta text empty, the button will be hidden automatically.
            </p>
            <p>
                <strong>Bottom Cta 1</strong>
                <label>CTA Icon 1: classname</label>
                <input class="j-text" type="text" id="bottom_link_1_icon_class" />
                <br />

                <label>NL - CTA 1 Text</label>
                <input class="j-text" type="text" id="bottom_link_1_text_nl" />
                <br />
                <label>NL - CTA 1 Url</label>
                <input class="j-text" type="text" id="bottom_link_1_url_nl" />

                <label>FR - CTA 1 Text</label>
                <input class="j-text" type="text" id="bottom_link_1_text_fr" />
                <br />
                <label>
                    <label>FR - CTA 1 Url</label>
                </label>
                <input class="j-text" type="text" id="bottom_link_1_url_fr" />

                <label>EN - CTA 1 Text</label>
                <input class="j-text" type="text" id="bottom_link_1_text_en" />
                <br />
                <label>
                    <label>EN - CTA 1 Url</label>
                </label>
                <input class="j-text" type="text" id="bottom_link_1_url_en" />
            </p>

            <p>
                <strong>Bottom Cta 2</strong>
                <label>CTA Icon 2: classname</label>
                <input class="j-text" type="text" id="bottom_link_2_icon_class" />
                <br />

                <label>NL - CTA 2 Text</label>
                <input class="j-text" type="text" id="bottom_link_2_text_nl" />
                <br />
                <label>NL - CTA 2 Url</label>
                <input class="j-text" type="text" id="bottom_link_2_url_nl" />

                <label>FR - CTA 2 Text</label>
                <input class="j-text" type="text" id="bottom_link_2_text_fr" />
                <br />
                <label>
                    <label>FR - CTA 2 Url</label>
                </label>
                <input class="j-text" type="text" id="bottom_link_2_url_fr" />

                <label>EN - CTA 2 Text</label>
                <input class="j-text" type="text" id="bottom_link_2_text_en" />
                <br />
                <label>
                    <label>EN - CTA 2 Url</label>
                </label>
                <input class="j-text" type="text" id="bottom_link_2_url_en" />
            </p>

            <p>
                <strong>Bottom Cta 3</strong>
                <label>CTA Icon 3: classname</label>
                <input class="j-text" type="text" id="bottom_link_3_icon_class" />
                <br />

                <label>NL - CTA 3 Text</label>
                <input class="j-text" type="text" id="bottom_link_3_text_nl" />
                <br />
                <label>NL - CTA 3 Url</label>
                <input class="j-text" type="text" id="bottom_link_3_url_nl" />

                <label>FR - CTA 3 Text</label>
                <input class="j-text" type="text" id="bottom_link_3_text_fr" />
                <br />
                <label>
                    <label>FR - CTA 3 Url</label>
                </label>
                <input class="j-text" type="text" id="bottom_link_3_url_fr" />

                <label>EN - CTA 3 Text</label>
                <input class="j-text" type="text" id="bottom_link_3_text_en" />
                <br />
                <label>
                    <label>EN - CTA 3 Url</label>
                </label>
                <input class="j-text" type="text" id="bottom_link_3_url_en" />
            </p>

            <p>
                <strong>Bottom Cta 4</strong>
                <label>CTA Icon 4: classname</label>
                <input class="j-text" type="text" id="bottom_link_4_icon_class" />
                <br />

                <label>NL - CTA 4 Text</label>
                <input class="j-text" type="text" id="bottom_link_4_text_nl" />
                <br />
                <label>NL - CTA 4 Url</label>
                <input class="j-text" type="text" id="bottom_link_4_url_nl" />

                <label>FR - CTA 4 Text</label>
                <input class="j-text" type="text" id="bottom_link_4_text_fr" />
                <br />
                <label>
                    <label>FR - CTA 4 Url</label>
                </label>
                <input class="j-text" type="text" id="bottom_link_4_url_fr" />

                <label>EN - CTA 4 Text</label>
                <input class="j-text" type="text" id="bottom_link_4_text_en" />
                <br />
                <label>
                    <label>EN - CTA 4 Url</label>
                </label>
                <input class="j-text" type="text" id="bottom_link_4_url_en" />
            </p>


        </div>



        <div class="collapsible-block">
            <h3>Cookie/Storage Name</h3>
            <p>
            This the variabable that remembers if a user has closed the pop-over.
                <label>
                    <label>Local Storage Variable name</label>
                </label>
                <input class="j-text" type="text" id="data_storage_name" />
                <i>Hint: if you launch a new campaign change this name, so the popover will appear again</i>

            </p>
        </div>

        <div class="collapsible-block">
            <h3>Pop-over activation</h3>
            <p>
                <strong>Active Popover?</strong>
                <label> Yes
                    <input class="j-text" type="checkbox" name="popoverstatus" value="Yes" id="popover_status" />
                </label>
                <br />

                <label>Popover background Image Url</label>
                <input class="j-text" type="text" id="popover_background_image" />
                
                 <label>Optional margin top on popover</label>
                <input class="j-text" type="text" id="popover_margin_top" />
                <i>Use a css value. eg.: 25px or 2%</i>

            </p>
        </div>
        <div class="collapsible-block">

            <h3>Pop-over Titles and Subtitle </h3>
            <p>

                <label>NL - title</label>
                <input class="j-text" type="text" id="popover_title_nl" />
                <br />
                <label>NL - subtitle</label>
                <input class="j-text" type="text" id="popover_subtitle_nl" />
                <label>FR - title</label>
                <input class="j-text" type="text" id="popover_title_fr" />
                <br />
                <label>
                    <label>FR - subtitle</label>
                </label>
                <input class="j-text" type="text" id="popover_subtitle_fr" />
                <label>EN - title</label>
                <input class="j-text" type="text" id="popover_title_en" />
                <br />
                <label>
                    <label>EN - subtitle</label>
                </label>
                <input class="j-text" type="text" id="popover_subtitle_en" />

            </p>
        </div>
        <div class="collapsible-block">
            <h3>Pop-over CTA </h3>
            <p>

                <label>NL - CTA Text</label>
                <input class="j-text" type="text" id="popover_link_text_nl" />
                <br />
                <label>NL - CTA Url</label>
                <input class="j-text" type="text" id="popover_link_url_nl" />

                <label>FR - CTA Text</label>
                <input class="j-text" type="text" id="popover_link_text_fr" />
                <br />
                <label>
                    <label>FR - CTA Url</label>
                </label>
                <input class="j-text" type="text" id="popover_link_url_fr" />

                <label>EN - CTA Text</label>
                <input class="j-text" type="text" id="popover_link_text_en" />
                <br />
                <label>
                    <label>EN - CTA Url</label>
                </label>
                <input class="j-text" type="text" id="popover_link_url_en" />

            </p>
        </div>
        
        
        <div class="collapsible-block">
            <h3>Advanced </h3>
            <p>

                <label>Optional css or script block</label>
                <textarea class="j-text"  rows="4" cols="50" id="script_block">
At w3schools.com you will learn how to make a website. We offer free tutorials in all web development technologies. 
</textarea>
                <br />

            </p>
        </div>






        <button class="j-btn" id="btn_submit">Submit</button>
    </div>
</body>
<!-- NOTE: main.js SHOULD RUN LAST -->
<script src="javascripts/main.js"></script>

</html>